Bug 20785 - Advanced Editor does not honor MarcFieldDocURL
Summary: Advanced Editor does not honor MarcFieldDocURL
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-18 20:39 UTC by Caroline Cyr La Rose
Modified: 2018-10-24 09:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20785: Advanced Editor does not honor MarcFieldDocURL (2.11 KB, patch)
2018-08-24 08:15 UTC, paxed
Details | Diff | Splinter Review
Bug 20785: Advanced Editor does not honor MarcFieldDocURL (2.15 KB, patch)
2018-09-27 08:18 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 20785: Advanced Editor does not honor MarcFieldDocURL (2.21 KB, patch)
2018-09-27 11:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-05-18 20:39:49 UTC
If you change the value of MarcFieldDocURL, and you catalog using the advanced editor, the help still points to Library of Congress.

To reproduce :
1) Leave MarcFieldDocURL at its default value (empty)
2) Enable EnableAdvancedCatalogingEditor
2) Go to the cataloguing module
3) Click on 'New record' and choose a framework
3.5) (If you are not in the basic editor, click on 'Settings' and choose 'Switch to basic editor')
4) Click on the question mark (?) next to any MARC field
5) Note that the default goes to www.loc.gov
6) Click on 'Settings'
7) Choose 'Switch to advanced editor' (click OK on the confirmation)
8) Put your cursor next to a MARC field
9) At the bottom of the page, click on the question mark ([?])
10) Note that the default goes to www.loc.gov
11) Go to Administration > Global System Preferences
12) Search for EnableAdvancedCatalogingEditor and enter http://www.marc21.ca/MaJ/BIB/B{FIELD}.pdf in the box
13) Save the system preferences
14) Redo steps 2 to 4
15) Note that the help goes to www.marc21.ca 
16) Redo steps 6 to 9
17) Note that the help still goes to www.loc.gov
Comment 1 paxed 2018-08-24 08:15:15 UTC
Created attachment 78110 [details] [review]
Bug 20785: Advanced Editor does not honor MarcFieldDocURL

The advanced MARC editor, Rancor, doesn't obey MarcFieldDocURL.
Make it do so.

Test plan:

1) Enable EnableAdvancedCatalogingEditor
2) Set MarcFieldDocURL to eg. http://{MARC}.example.com/{LANG}/{FIELD}
3) Go to Cataloging -> Advanced editor
4) Go to any field and press Ctrl-H
5) Marc field documentation on www.loc.gov or ifla.org should open
6) Apply patch
7) Repeat 3 and 4. The Marc field docs should open on the URL you set
Comment 2 Michal Denar 2018-09-27 08:18:57 UTC
Created attachment 79469 [details] [review]
Bug 20785: Advanced Editor does not honor MarcFieldDocURL

The advanced MARC editor, Rancor, doesn't obey MarcFieldDocURL.
Make it do so.

Test plan:

1) Enable EnableAdvancedCatalogingEditor
2) Set MarcFieldDocURL to eg. http://{MARC}.example.com/{LANG}/{FIELD}
3) Go to Cataloging -> Advanced editor
4) Go to any field and press Ctrl-H
5) Marc field documentation on www.loc.gov or ifla.org should open
6) Apply patch
7) Repeat 3 and 4. The Marc field docs should open on the URL you set

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2018-09-27 11:30:33 UTC
Created attachment 79479 [details] [review]
Bug 20785: Advanced Editor does not honor MarcFieldDocURL

The advanced MARC editor, Rancor, doesn't obey MarcFieldDocURL.
Make it do so.

Test plan:

1) Enable EnableAdvancedCatalogingEditor
2) Set MarcFieldDocURL to eg. http://{MARC}.example.com/{LANG}/{FIELD}
3) Go to Cataloging -> Advanced editor
4) Go to any field and press Ctrl-H
5) Marc field documentation on www.loc.gov or ifla.org should open
6) Apply patch
7) Repeat 3 and 4. The Marc field docs should open on the URL you set

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-09-28 19:56:25 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-03 09:41:25 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Fridolin SOMERS 2018-10-10 10:12:57 UTC
Pushed to 17.11.x for 17.11.11